Bug 1224668 - ppc64le: "file" fails to get the whole information of the new swap partition
Summary: ppc64le: "file" fails to get the whole information of the new swap partition
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: file
Version: 7.1
Hardware: ppc64le
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Jan Kaluža
QA Contact: Karel Srot
URL:
Whiteboard:
Depends On: 1224667
Blocks: 1283126
TreeView+ depends on / blocked
 
Reported: 2015-05-25 09:43 UTC by Hu Zhang
Modified: 2018-05-29 11:13 UTC (History)
7 users (show)

Fixed In Version: file-5.11-25.el7
Doc Type: Bug Fix
Doc Text:
Clone Of: 1224667
: 1283126 (view as bug list)
Environment:
Last Closed: 2015-11-19 08:10:36 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2155 normal SHIPPED_LIVE Moderate: file security and bug fix update 2015-11-19 08:39:11 UTC
Red Hat Bugzilla 1581170 None None None Never

Internal Links: 1581170

Description Hu Zhang 2015-05-25 09:43:33 UTC
+++ This bug was initially created as a clone of Bug #1224667 +++

Description of problem:
"file" fails to get the whole information of the new swap partition. It misses the label, UUID and some other info. This works well on x86. This also exits on ppc64.

Version-Release number of selected component (if applicable):
libguestfs-1.28.1-1.23.aa7a.aarch64
libguestfs-tools-c-1.28.1-1.23.aa7a.aarch64
kernel-3.19.0-0.75.aa7a.aarch64

How reproducible:
Always

Steps to Reproduce:
1. Create a new swap partition.
$ cd /tmp
$ truncate -s 1G swap
$ mkswap /tmp/swap
Setting up swapspace version 1, size = 1024 MiB (1073676288 bytes)
no label, UUID=b7ad4bd7-7a6b-47e9-b1fd-5ad0ea973d3c

2. get the swap info.
$ file /tmp/swap 
/tmp/swap: Linux/ppc swap file                                                            

Actual results:
Described as step.2. It fails to get the label, UUID, version and some other info.

Expected results:
It should returns some info like blew:
$ file /tmp/swap
swap: Linux/aarch64 swap file (new style), version 1 (4K pages), size 262143 pages, no label, UUID=4f7874fc-e2a0-4c86-9bc3-b54b5ad19d5a

Additional info:

Comment 6 errata-xmlrpc 2015-11-19 08:10:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2155.html


Note You need to log in before you can comment on or make changes to this bug.